package cn.dg32z.lon.commands.sub;

import cn.dg32z.libs.org.jetbrains.annotations.NotNull;
import cn.dg32z.lon.PluginLoader;
import cn.dg32z.lon.commands.AbstractCommand;
import cn.dg32z.lon.utils.message.LogUtils;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

/* loaded from: cn_dg32z_lon_commands_sub.jar:cn/dg32z/lon/commands/sub/SendAlert.class */
public final class SendAlert extends AbstractCommand {
    public SendAlert() {
        super("Send an alert message", "lonac.commands.send-alert", false);
    }

    public void execute(@NotNull CommandSender sender, @NotNull String string, @NotNull String[] args) {
        if (args.length < 1) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.send-alert.usage"));
            return;
        }
        String message = PluginLoader.INSTANCE.getMessageUtils().format("%prefix%" + String.join(" ", args));
        for (Player bukkitPlayer : PluginLoader.INSTANCE.getAlertManager().getEnabledAlerts()) {
            bukkitPlayer.sendMessage(message);
        }
        if (PluginLoader.INSTANCE.getConfigManager().getConfig().getBooleanElse("output.alerts.console", true)) {
            LogUtils.console(message);
        }
    }
}
